<?xml version="1.0" encoding="UTF-8"?>

<!--
 * 
 * This help file was generated from scidemo_cmplxfacets.sci using help_from_sci().
 * 
 -->

<refentry version="5.0-subset Scilab" xml:id="scidemo_cmplxfacets" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">


  <refnamediv>
    <refname>scidemo_cmplxfacets</refname><refpurpose>Compute the facets to draw a complex function.</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   [xr,yr,zr,xi,yi,zi] = scidemo_cmplxfacets (R,e,TypeDomain,TypeCut,n,StrFunc)
   
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>R :</term>
      <listitem><para> length of half a side of the square or radius of the disk</para></listitem></varlistentry>
   <varlistentry><term>e :</term>
      <listitem><para> thin layer to avoid the branch(es) cut(s)</para></listitem></varlistentry>
   <varlistentry><term>TypeDomain :</term>
      <listitem><para> a 1-by-1 matrix of strings, "Square" or "Disk"</para></listitem></varlistentry>
   <varlistentry><term>TypeCut :</term>
      <listitem><para> a 1-by-1 matrix of strings, "Ox" or "Oy"</para></listitem></varlistentry>
   <varlistentry><term>n :</term>
      <listitem><para> a scalar (for "Square") or a 2-vector = [ntheta, nr] (for "Disk") for discretization</para></listitem></varlistentry>
   <varlistentry><term>StrFunc :</term>
      <listitem><para> a 1-by-1 matrix of strings, the string which names the complex function (this is because primitive don't pass as function argument)</para></listitem></varlistentry>
   <varlistentry><term>xr,yr,zr,xi,yi,zi :</term>
      <listitem><para> a m-ny-n matrix of doubles, real and imaginary parts of X,Y and Z values</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
A function to compute the facets for drawing a complex function
on a square or a disk with branch(es) cut(s) on Ox or Oy
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
[xr,yr,zr,xi,yi,zi] = scidemo_cmplxfacets(2,%eps,"Square","Ox",41,"acos");

   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 2001 - Bruno PINCON</member>
   <member>Copyright (C) 2005 - INRIA - Pierre MARECHAL</member>
   <member>Copyright (C) 2010 - DIGITEO - Michael Baudin</member>
   </simplelist>
</refsection>
</refentry>
